Ask Your Question
0

"Cannot configure cabal-install-1.24.0.2..."

asked 2017-04-13 22:18:30 -0600

H.V. gravatar image

Is there any solution for this issue? :-( ...(running a Mac OS X version 10.6.8 - Haskell Platform 2011.4.0.0 32 bit)...

$ which cabal /usr/bin/cabal

$ cabal --version cabal-install version 0.10.2 using version 1.10.2.0 of the Cabal library

$ cabal update Downloading the latest package list from hackage.haskell.org Note: there is a new version of cabal-install available. To upgrade, run: cabal install cabal-install

$ sudo cabal install cabal-install Resolving dependencies... cabal: cannot configure cabal-install-1.24.0.2. It requires base >=4.5 && <5 For the dependency on base >=4.5 && <5 there are these packages: base-4.5.0.0, base-4.5.1.0, base-4.6.0.0, base-4.6.0.1, base-4.7.0.0, base-4.7.0.1, base-4.7.0.2, base-4.8.0.0, base-4.8.1.0, base-4.8.2.0 and base-4.9.0.0. However none of them are available. base-4.5.0.0 was excluded because of the top level dependency base -any base-4.5.1.0 was excluded because of the top level dependency base -any base-4.6.0.0 was excluded because of the top level dependency base -any base-4.6.0.1 was excluded because of the top level dependency base -any base-4.7.0.0 was excluded because of the top level dependency base -any base-4.7.0.1 was excluded because of the top level dependency base -any base-4.7.0.2 was excluded because of the top level dependency base -any base-4.8.0.0 was excluded because of the top level dependency base -any base-4.8.1.0 was excluded because of the top level dependency base -any base-4.8.2.0 was excluded because of the top level dependency base -any base-4.9.0.0 was excluded because of the top level dependency base -any

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2017-05-12 16:06:48 -0600

lennart gravatar image

updating your haskell platform to a more recent version and then retrying the above should get you (at least one step) further. https://www.haskell.org/platform/

edit flag offensive delete link more

Question Tools

Stats

Asked: 2017-04-13 22:18:30 -0600

Seen: 126 times

Last updated: May 12